diff --git a/src/backend/catalog/pg_shdepend.c b/src/backend/catalog/pg_shdepend.c
index 15fda71..bfe111e 100644
--- a/src/backend/catalog/pg_shdepend.c
+++ b/src/backend/catalog/pg_shdepend.c
@@ -43,6 +43,7 @@
 #include "catalog/pg_ts_config.h"
 #include "catalog/pg_ts_dict.h"
 #include "catalog/pg_type.h"
+#include "catalog/pg_user_mapping.h"
 #include "commands/alter.h"
 #include "commands/dbcommands.h"
 #include "commands/collationcmds.h"
@@ -1367,6 +1368,7 @@ shdepReassignOwned(List *roleids, Oid newrole)
 					break;
 
 				case DefaultAclRelationId:
+				case UserMappingRelationId:
 
 					/*
 					 * Ignore default ACLs; they should be handled by DROP
